Seite 1 von 1

[gelöst] Installation von Jpcap

Verfasst: 27. Mai 2008, 11:15
von Mulambo
Hallo!

Ich habe ein Problem bei der Installation von Jpcap. Wenn ich versuche das rpm mittels 'Installieren von Software' zu öffnen lädt er eine Weile und bricht dann ab. Daraufhin hab ich es über die Konsole versucht mit 'rpm -Uhv ..../jpcap-0.7-1.i386.rpm'. Dabei bekomme ich jedoch immer den Fehler:

Code: Alles auswählen

error: Failed dependencies:
        jdk >= 1.6 is needed by jpcap-0.7-1.i386
Ich habe aber über Yast alle Packete von java-1_6 installiert (java-sun, java-sun-devel, java-sun-plugin, java-sun-jdbc und java-sun-alsa). Auch der Befehl 'java -version' liefert mir:

Code: Alles auswählen

java version "1.6.0_06"
Java(TM) SE Runtime Environment (build 1.6.0_06-b02)
Java HotSpot(TM) 64-Bit Server VM (build 10.0-b22, mixed mode)
Ich hab keine Ahnung, warum er das bemängelt :(
Vielleicht hab ich auch was anderes vergessen. Falls das schon jemand installiert hat, wäre ich für jede Hilfe dankbar.
Ich verwende OpenSUSE 10.3 und die 64bit Version von Java.

Re: Installation von Jpcap

Verfasst: 27. Mai 2008, 19:38
von Stefan Staeglich
Du kannst auch keine Pakete für Fedora in dein openSUSE reinpfriemeln. Da mußt du wohl den Kram selber kompilieren, Pakete für openSUSE scheint es nicht zu geben.

http://wiki.linux-club.de/opensuse/Soft ... stallieren

Re: Installation von Jpcap

Verfasst: 27. Mai 2008, 20:14
von Mulambo
Hab das total übersehn. Mittlerweile habe ich es auch schon mit dem Quellcode versucht (da war ein Makefile dabei), hat aber auch zu keinem Ergebnis geführt... :?

Da das Jpcap auf dem Uni-Server vorinstalliert ist, hab ich beschlossen nicht mehr Zeit da rein zu investieren und mache alles via SSH. Dauert zwar länger, wenn man Alles immer hin- und herschicken muss, aber was solls.

Danke trotzdem für die Bemühungen.